%define module  pexpect

Summary:       Unicode-aware Pure Python Expect-like module
Name:          python-%{module}
Version:       4.8.0
Release:       %mkrel 4
License:       MIT
Group:         Development/Python
Url:           https://pypi.python.org/pypi/pexpect
Source0:       https://pypi.io/packages/source/p/pexpect/%{module}-%{version}.tar.gz
BuildArch:     noarch
BuildRequires: sed

%description
Pexpect is a pure Python module for spawning child applications,
controlling them, and responding to expected patterns in their
output. Pexpect works like Don Libes' Expect. Pexpect allows your
script to spawn a child application and control it as if a human were
typing commands.

Pexpect can be used for automating interactive applications such as
ssh, ftp, passwd, telnet, etc. It can be used to a automate setup
scripts for duplicating software package installations on different
servers. It can be used for automated software testing. Pexpect is in
the spirit of Don Libes' Expect, but Pexpect is pure Python. Unlike
other Expect-like modules for Python, Pexpect does not require TCL or
Expect, nor does it require C extensions to be compiled. It should work
on any platform that supports the standard Python pty module. The
Pexpect interface was designed to be easy to use.

%package -n python3-%{module}
Summary:       Unicode-aware Pure Python Expect-like module for Python 3
Group:         Development/Python
BuildRequires: python3
BuildRequires: pkgconfig(python3)
BuildRequires: python3dist(setuptools)
BuildRequires: python3dist(ptyprocess)
Requires:      python3dist(ptyprocess)
%{?python_provide:%python_provide python3-%{module}}

%description -n python3-%{module}
Pexpect is a pure Python module for spawning child applications,
controlling them, and responding to expected patterns in their
output. Pexpect works like Don Libes' Expect. Pexpect allows your
script to spawn a child application and control it as if a human were
typing commands.

Pexpect can be used for automating interactive applications such as
ssh, ftp, passwd, telnet, etc. It can be used to a automate setup
scripts for duplicating software package installations on different
servers. It can be used for automated software testing. Pexpect is in
the spirit of Don Libes' Expect, but Pexpect is pure Python. Unlike
other Expect-like modules for Python, Pexpect does not require TCL or
Expect, nor does it require C extensions to be compiled. It should work
on any platform that supports the standard Python pty module. The
Pexpect interface was designed to be easy to use.

%prep
%setup -q -n pexpect-%{version}
%autopatch -p1

# Correct some permissions
find examples -type f -exec chmod a-x \{\} \;

%build
%py3_build

%install
%py3_install

rm -rf %{buildroot}%{python3_sitelib}/pexpect/tests

%files -n python3-%{module}
%license LICENSE
%doc doc examples
%{python3_sitelib}/*


%changelog
* Wed Mar 23 2022 umeabot <umeabot> 4.8.0-4.mga9
+ Revision: 1822447
- Mageia 9 Mass Rebuild

* Sat Feb 12 2022 tv <tv> 4.8.0-3.mga9
+ Revision: 1773613
- Rebuild for python-3.10

* Tue Mar 16 2021 tmb <tmb> 4.8.0-2.mga9
+ Revision: 1703862
- rebuild for python 3.9

* Fri Apr 10 2020 daviddavid <daviddavid> 4.8.0-1.mga8
+ Revision: 1566023
- new version: 4.8.0

* Sun Feb 16 2020 umeabot <umeabot> 4.7.0-4.mga8
+ Revision: 1532778
- Mageia 8 Mass Rebuild

* Tue Sep 17 2019 wally <wally> 4.7.0-3.mga8
+ Revision: 1443162
- another rebuild for python3.8

* Fri Sep 13 2019 tv <tv> 4.7.0-2.mga8
+ Revision: 1440233
- rebuild for python-3.8
- drop python2 subpkg

* Sat Apr 20 2019 wally <wally> 4.7.0-1.mga7
+ Revision: 1393693
- new version 4.7.0

* Sun Jan 06 2019 tmb <tmb> 4.5.0-3.mga7
+ Revision: 1350230
- rebuild for python 3.7

* Thu Sep 20 2018 umeabot <umeabot> 4.5.0-2.mga7
+ Revision: 1289666
- Mageia 7 Mass Rebuild

* Tue Apr 24 2018 daviddavid <daviddavid> 4.5.0-1.mga7
+ Revision: 1222180
- new version: 4.5.0
- rename python-pexpect to python2-pexpect
- remove merged upstream patch
- use new python provides

* Fri Aug 04 2017 tv <tv> 4.0.1-4.mga7
+ Revision: 1134528
- rebuild for new python
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild

* Tue Nov 10 2015 joequant <joequant> 4.0.1-2.mga6
+ Revision: 900967
- add ptyprocess dependency

* Sun Nov 08 2015 philippem <philippem> 4.0.1-1.mga6
+ Revision: 898865
- update to 4.0.1

* Wed Oct 07 2015 tv <tv> 3.2-5.mga6
+ Revision: 886722
- rebuild for python 3.5

* Wed Oct 15 2014 umeabot <umeabot> 3.2-4.mga5
+ Revision: 740006
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 3.2-3.mga5
+ Revision: 729318
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 3.2-2.mga5
+ Revision: 688213
- Mageia 5 Mass Rebuild

* Mon Jun 23 2014 philippem <philippem> 3.2-1.mga5
+ Revision: 639017
- update to 3.2

* Sat May 31 2014 pterjan <pterjan> 3.0-2.mga5
+ Revision: 628880
- Rebuild for new Python

* Mon Dec 02 2013 philippem <philippem> 3.0-1.mga4
+ Revision: 554649
- Update to 3.0

* Tue Oct 22 2013 umeabot <umeabot> 2.5.1-4.mga4
+ Revision: 544065
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 2.5.1-3.mga4
+ Revision: 499116
- Rebuild to add different pythonegg provides for python 2 and 3

* Sun Jan 13 2013 umeabot <umeabot> 2.5.1-2.mga3
+ Revision: 379277
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Dec 02 2012 philippem <philippem> 2.5.1-1.mga3
+ Revision: 325439
- Updated to version 2.5.1 (pexpect-u fork) and added support for Python 3

* Mon Mar 07 2011 spuhler <spuhler> 2.4-3.mga1
+ Revision: 65752
- removed the buildroot line in the spec file
- imported package python-pexpect


* Thu Nov 04 2010 Paulo Andrade <pcpa@mandriva.com.br> 2.4-3mdv2011.0
+ Revision: 593484
+ rebuild (emptylog)

* Wed Mar 17 2010 Oden Eriksson <oeriksson@mandriva.com> 2.4-2mdv2010.1
+ Revision: 523853
- rebuilt for 2010.1

* Sun Mar 29 2009 Lev Givon <lev@mandriva.org> 2.4-1mdv2010.0
+ Revision: 362207
- Update to 2.4.

* Sat Jan 03 2009 Funda Wang <fwang@mandriva.org> 2.3-6mdv2009.1
+ Revision: 323925
- rebuild

* Fri Aug 08 2008 Thierry Vignaud <tv@mandriva.org> 2.3-5mdv2009.0
+ Revision: 269037
- rebuild early 2009.0 package (before pixel changes)

* Wed May 14 2008 Lev Givon <lev@mandriva.org> 2.3-4mdv2009.0
+ Revision: 206873
- Update to 2.3.

* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 0.98-4mdv2008.1
+ Revision: 136454
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request


* Tue Dec 05 2006 Nicolas Lécureuil <neoclust@mandriva.org> 0.98-4mdv2007.0
+ Revision: 90623
- Rebuild against new python
- import python-pexpect-0.98-3mdk

* Sun Dec 05 2004 Michael Scherer <misc@mandrake.org> 0.98-3mdk
- Rebuild for new python

